Bug 85428 - Imported PDF displays extra-long lines for shaded area
Summary: Imported PDF displays extra-long lines for shaded area
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 86211
Blocks: PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2014-10-25 06:16 UTC by Robinson Tryon (qubit)
Modified: 2019-12-03 14:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing extra-long lines in construction shaded areas (392.86 KB, image/png)
2014-10-25 06:17 UTC, Robinson Tryon (qubit)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2014-10-25 06:16:41 UTC
Importing PDF version of UW campus map into Draw results in shaded areas to render lines too long.

Original: https://www.washington.edu/static/media/campus-and-vicinity.pdf

Affected parts of the map are the "Construction Area" regions, both on the map and in the map's legend.

Tested with LO 4.3.2.2 and 4.4.0.0.alpha1 on Ubuntu 14.04.

Map displays correctly in Firefox 33.0 and Evince 3.10.3.
Comment 1 Robinson Tryon (qubit) 2014-10-25 06:17:18 UTC
Created attachment 108381 [details]
Screenshot showing extra-long lines in construction shaded areas
Comment 2 A (Andy) 2014-10-25 06:48:22 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 3 QA Administrators 2016-01-17 20:03:38 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2016-05-10 09:33:43 UTC
Confirmed

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)
Comment 5 QA Administrators 2017-05-22 13:40:56 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:24:27 UTC
Dear Robinson Tryon (qubit),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug